Index: contrib/pgcrypto/openssl.c
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/pgcrypto/openssl.c,v
retrieving revision 1.18
diff -p -u -r1.18 openssl.c
--- contrib/pgcrypto/openssl.c	3 Jul 2005 02:32:56 -0000	1.18
+++ contrib/pgcrypto/openssl.c	3 Jul 2005 05:17:29 -0000
@@ -39,11 +39,12 @@
 #include <openssl/des.h>
 
 /*
- * Is OpenSSL compiled with AES? 
+ * Does OpenSSL support AES? 
  */
 #undef GOT_AES
-#ifdef AES_ENCRYPT
+#if OPENSSL_VERSION_NUMBER >= 0x00907000L
 #define GOT_AES
+#include <openssl/aes.h>
 #endif
 
 /*
